<script type="text/javascript">
	// Global variable: ID of current active input area
		{% if (flags.edit_split) %}var currentInputAreaID = 'ng_news_content_short';
		{% else %}var currentInputAreaID = 'ng_news_content';{% endif %}


	function preview() {
		var form = document.getElementById("postForm");
		if (form.ng_news_content{% if (flags.edit_split) %}_short{% endif %}.value == '' || form.title.value == '') {
			alert('{{ lang.nsm['err.preview'] }}');
			return false;
		}

		form['mod'].value = "preview";
		form.target = "_blank";
		form.submit();

		form['mod'].value = "news";
		form.target = "_self";
		return true;
	}

	function changeActive(name) {
		if (name == 'full') {
			document.getElementById('container.content.full').className = 'contentActive';
			document.getElementById('container.content.short').className = 'contentInactive';
			currentInputAreaID = 'ng_news_content_full';
		} else {
			document.getElementById('container.content.short').className = 'contentActive';
			document.getElementById('container.content.full').className = 'contentInactive';
			currentInputAreaID = 'ng_news_content_short';
		}
	}
	function approveMode(mode) {
		document.getElementById('approve').value = mode;
		return true;
	}
</script>
<form id="postForm" name="form" ENCTYPE="multipart/form-data" method="POST" action="{{ currentURL }}">
	<input type="hidden" name="token" value="{{ token }}"/>
	<input type="hidden" name="mod" value="news"/>
	<input type="hidden" name="approve" id="approve" value="0"/>
	<h1 class="newheans">{{ lang.addnews['addnews_title'] }}</h1>
	<article class="stat-gl">
		<div class="addnews clrfix">
			<div class="grid_3_4">
				<ul class="ui-form addhit">
					<li class="form-group">
						[ <a role="button" href="{{ listURL }}">{{ lang.theme.nsm_list }}</a> ]
					</li>
					<li class="form-group imp">
						<label>{{ lang.addnews['title'] }}:</label>
						<input type="text" name="title" value="" maxlength="150" class="wide" required>
					</li>
					<li class="form-group">
						<label>{{ lang.addnews['alt_name'] }}:</label>
						<input type="text" name="alt_name" value="" maxlength="150" class="wide" required>
					</li>
					<li class="form-group imp">
						<label>{{ lang.addnews['category'] }}:</label>
						{{ mastercat }}
					</li>
					{% if flags['multicat.show'] %}
						<li class="form-group">
							<label>{{ lang['editor.extcat'] }}:</label>
							<div style="overflow: auto; height: 150px;">{{ extcat }}</div>
						</li>
					{% endif %}
					{% if (flags.edit_split) %}
						<li class="form-group imp">
							<label>{{ lang.theme.nsm_short }}:</label>
							<div class="bb-editor">
								<div>{{ quicktags }}<br /> {{ smilies }}<br /><br /></div>
								<textarea onclick="changeActive('short');" onfocus="changeActive('short');" name="ng_news_content_short" id="ng_news_content_short" rows="8" class="wide" required></textarea>
							</div>
						</li>
						{% if (flags.extended_more) %}
							<li class="form-group">
								<label>{{ lang.addnews['editor.divider'] }}:</label>
								<input type="text" name="content_delimiter" value="" maxlength="150" class="wide" required>
							</li>
						{% endif %}
						<li class="form-group">
							<label>{{ lang.theme.nsm_full }}:</label>
							<div class="bb-editor">
								<div>{{ quicktags }}<br /> {{ smilies }}<br /><br /></div>
								<textarea onclick="changeActive('full');" onfocus="changeActive('full');" name="ng_news_content_full" id="ng_news_content_full" rows="8" class="wide" required></textarea>
							</div>
						</li>
					{% else %}
						<li class="form-group">
							<div class="bb-editor">
								<div>{{ quicktags }}<br /> {{ smilies }}<br /><br /></div>
								<textarea name="ng_news_content" id="ng_news_content" rows="15" class="wide" required></textarea>
							</div>
						</li>
					{% endif %}
					<li class="form-group">
						<div class="admin_checkboxs">
							{% if not flags['mainpage.disabled'] %}
								<label><input type="checkbox" name="mainpage" value="1" id="mainpage" {% if (flags.mainpage) %}checked="checked" {% endif %}{% if flags['mainpage.disabled'] %}disabled {% endif %}  /> {{ lang.addnews['mainpage'] }}</label><br />
							{% endif %}
							{% if not flags['pinned.disabled'] %}
								<label><input type="checkbox" name="pinned" value="1" id="pinned" {% if (flags.pinned) %}checked="checked" {% endif %}{% if flags['pinned.disabled'] %}disabled {% endif %}  /> {{ lang.addnews['add_pinned'] }}</label><br />
							{% endif %}
							{% if not flags['catpinned.disabled'] %}
								<label><input type="checkbox" name="catpinned" value="1" id="catpinned" {% if (flags.catpinned) %}checked="checked" {% endif %}{% if flags['catpinned.disabled'] %}disabled {% endif %}  /> {{ lang.addnews['add_catpinned'] }}</label><br />
							{% endif %}
							{% if not flags['favorite.disabled'] %}
								<label><input type="checkbox" name="favorite" value="1" id="favorite" {% if (flags.favorite) %}checked="checked" {% endif %}{% if flags['favorite.disabled'] %}disabled {% endif %}  /> {{ lang.addnews['add_favorite'] }}</label><br />
							{% endif %}
							{% if not flags['html.disabled'] %}
								<label><input name="flag_HTML" type="checkbox" id="flag_HTML" value="1" {% if (flags['html.disabled']) %}disabled {% endif %}{% if flags['html'] %}checked="checked"{% endif %} /> {{ lang.addnews['flag_html'] }}</label><br />
								<label><input type="checkbox" name="flag_RAW" value="1" id="flag_RAW" {% if (flags['html.disabled']) %}disabled {% endif %}{% if flags['html'] %}checked="checked"{% endif %}  /> {{ lang.addnews['flag_raw'] }}</label><br />
							{% endif %}
						</div>
					</li>
				</ul>
				<p style="margin: 20px 0 0 0;" class="grey"><span style="color: #e85319">*</span> — поля отмеченные звездочкой обязательны для заполнения.</p>
				<div class="form_submit">
					{% if flags['can_publish'] %}
						<button class="btn" onclick="return approveMode(1);" type="submit"><b class="ultrabold">{{ lang.addnews['save_draft'] }}</b></button>
					{% else %} &nbsp; {% endif %}
					<button class="btn" onclick="return approveMode(0);" type="submit"><b class="ultrabold">{{ lang.addnews['send_moderation'] }}</b></button>
					<button class="btn" onclick="return approveMode(-1);" type="submit"><b class="ultrabold">{{ lang.addnews['publish'] }}</b></button>
					<button class="btn" onclick="return preview();" type="button"><b class="ultrabold">{{ lang.addnews['preview'] }}</b></button>
				</div>
			</div>
		</div>
	</article>
</form>
<script language="javascript" type="text/javascript">
	// Restore variables if needed
	var jev = {{ JEV }};
	var form = document.getElementById('postForm');
	for (i in jev) {
		//try { alert(i+' ('+form[i].type+')'); } catch (err) {;}
		if (typeof(jev[i]) == 'object') {
			for (j in jev[i]) {
				//alert(i+'['+j+'] = '+ jev[i][j]);
				try {
					form[i + '[' + j + ']'].value = jev[i][j];
				} catch (err) {
					;
				}
			}
		} else {
			try {
				if ((form[i].type == 'text') || (form[i].type == 'textarea') || (form[i].type == 'select-one')) {
					form[i].value = jev[i];
				} else if (form[i].type == 'checkbox') {
					form[i].checked = (jev[i] ? true : false);
				}
			} catch (err) {
				;
			}
		}
	}
</script>