{% if (global.flags.isLogged) %}
	<div class="autnav-1">
		<a href="#" class="login-button witcfa">
			<span>{{ global.user.name }}</span>
			<div class="icons-nav">
				<img src="{{ avatar_url }}">
			</div>
		</a>
	</div>
	<div class="login-block ortsot">
		<div class="ministrs">
			<div class="lenta-ava">
				<div class="login-ava" style="display:block;">
					<img src="{{ avatar_url }}" alt="{{ global.user.name }}" />
				</div>
			</div>
			<div class="usernake">{{ global.user.name }}</div>
			<div class="l-link">
				<div class="obolock">
					[if-have-perm]
						<div class="dzig">
							<div class="stat-log-bl"><a href="{{ admin_url }}" target="_blank"><img src="{{ tpl_url }}/icons/settings.svg"></a></div>
							<div class="txt-asr"><a href="{{ admin_url }}" target="_blank">{{ lang.admin_panel }}</a></div>
						</div>
					[/if-have-perm]
					{% if pluginIsActive('uprofile') %}
						<div class="dzig">
							<div class="stat-log-bl"><a href="{{ profile_link }}"><img src="{{ tpl_url }}/icons/user-silhouette.svg"></a></div>
							<div class="txt-asr"><a href="{{ profile_link }}">{{ lang.theme.usermenu_edit }}</a></div>
						</div>
					{% endif %}
					{% if pluginIsActive('pm') %}
						<div class="dzig">
							<div class="stat-log-bl"><a href="{{ p.pm.link }}"><img src="{{ tpl_url }}/icons/send-symbol.svg"></a></div>
							<div class="txt-asr"><a href="{{ p.pm.link }}">{{ lang.theme.usermenu_pm }} ({{ p.pm.pm_unread }})</a></div>
						</div>
					{% endif %}
					{% if pluginIsActive('bookmarks') %}
						<div class="dzig">
							<div class="stat-log-bl"><a href="/plugin/bookmarks/"><img src="{{ tpl_url }}/icons/playlist.svg"></a></div>
							<div class="txt-asr"><a href="/plugin/bookmarks/">{{ lang.theme.usermenu_bookmarks }}</a></div>
						</div>
					{% endif %}
					{% if pluginIsActive('nsm') %}
						<div class="dzig">
							<div class="stat-log-bl"><a href="/plugin/nsm/"><img src="{{ tpl_url }}/icons/add-file.svg"></a></div>
							<div class="txt-asr"><a href="/plugin/nsm/">{{ lang.theme.usermenu_news }}</a></div>
						</div>
					{% endif %}
					<div class="dzig">
						<div class="stat-log-bl"><a href="{{ logout_link }}"><img src="{{ tpl_url }}/icons/exit.svg"></a></div>
						<div class="txt-asr"><a href="{{ logout_link }}">{{ lang.theme.usermenu_logout }}</a></div>
					</div>
					<div style="clear: both;"></div>
				</div>
			</div>
			<div class="window_close"></div>
		</div>
	</div>
{% else %}
	<script language="javascript">
		var set_login = 0;
		var set_pass  = 0;
	</script>
	<div class="autnav-1">
		<a href="#" class="login-button witcfa">
			<span style="font-weight: 700;">{{ lang.theme.usermenu_login_title }}</span>
			<div class="icons-nav" style="border: none;"><img src="{{ tpl_url }}/icons/user.svg" style="border-radius: 0px;"></div>
		</a>
		<div class="login-block">
			<form name="login" method="post" action="{{ form_action }}" id="login" style="padding: 0;margin: 0;">
				<div class="login-ava" style="display:none;">
					<img src="{{ tpl_url }}/images/noavatar.png" alt="" />
				</div>
				<div class="name-as"><img src="{{ tpl_url }}/images/logos3.png"></div>
				<div class="block-ask">
					<div class="name-puls">{{ lang.theme.usermenu_social_title }}</div>
					<div class="sociallogin">
						<a href="#" target="_blank"><img src="{{ tpl_url }}/icons/vk-social-network-logo.svg"/></a>
						<a href="#" target="_blank"><img src="{{ tpl_url }}/icons/facebook-letter-logo.svg"/></a>
						<a href="#" target="_blank"><img src="{{ tpl_url }}/icons/google-plus.svg"/></a>
						<a href="#" target="_blank"><img src="{{ tpl_url }}/icons/at.svg"/></a>
						<a href="#" target="_blank"><img src="{{ tpl_url }}/icons/yandex.svg"/></a>
					</div>
				</div>
				<div class="left-avtors">
					<div class="nameemail">{{ lang.username }}</div>
					<div class="login-line">
						<input name="username" type="text" class="login-input-text" title="Login" />
					</div>
					<div class="nameemail">{{ lang.password }}</div>
					<div class="login-line">
						<input name="password" type="password" class="login-input-text" title="pass" />
					</div>
					<input type="submit" class="enter" value="{{ lang.login }}" />
					<input type="hidden" name="redirect" value="{{ redirect }}" />
				</div>
				<div class="rightlogis">
					<div class="regast">{{ lang.theme.usermenu_login_text }}</div>
					<div class="login-link">
						<a href="{{ reg_link }}" title="Registration">{{ lang.registration }}</a>
						<a href="{{ lost_link }}" title="ups">{{ lang.lostpassword }}</a>
					</div>
				</form>
			</div>
			<div style="clear: both;"></div>
			<div class="window_close" style="top: 5%;"></div>
		</div>
	</div>
{% endif %}