<script type="text/javascript">
	document.ready = function () {
		var sizelimit = {{ info_sizelimit }};
		if (sizelimit <= 0) {
			document.getElementById('sizelimit_text').style.display = "none";
		}
	}
	function validate_form() {
		var f = document.getElementById('profileForm');
		// ICQ
		var icq = f.editicq.value;
		if ((icq.length > 0) && (!icq.match(/^\d{4,10}$/))) {
			alert("{{ lang.uprofile['wrong_icq'] }}");
			return false;
		}
		// Email
		var email = f.editmail.value;
		if ((email.length > 0) && (!emailCheck(email))) {
			alert("{{ lang.uprofile['wrong_email'] }}");
			return false;
		}
		// About
		var about = f.editabout.value;
		if (({{ info_sizelimit }} > 0) &&
		(about.length > {{ info_sizelimit }})
	)
		{
			alert("{{ info_sizelimit_text }}");
			return false;
		}
		return true;
	}
</script>
<form id="profileForm" method="post" action="{{ form_action }}" enctype="multipart/form-data">
<input type="hidden" name="token" value="{{ token }}"/>
<div class="allforsb">
	<div class="stat-gl">
		<div class="stat-glxx">
			<div class="head">
				<h1 class="title h2 ultrabold" style="margin:10px 0px;font-size: 24px;">
					{{ lang.uprofile['profile_of'] }}
				</h1>
			</div>
			<ul class="ui-form">
				{% if pluginIsActive('xfields') %}{{ plugin_xfields_0 }}{% endif %}
				<li class="form-group">
					<label>{{ lang.uprofile['email'] }}:</label>
					<input type="text" name="editmail" value="{{ user.email }}" class="wide" required>
				</li>
				<li class="form-group">
					<label>{{ lang.uprofile['from'] }}:</label>
					<input type="text" name="editfrom" value="{{ user.from }}" class="wide" required>
				</li>
				<li class="form-group">
					<label>{{ lang.uprofile['about'] }}:</label>
					<textarea name="editabout" rows="5" class="wide">{{ user.info }}</textarea>
					{% if (info_sizelimit > 0) %}<div style="margin-top: 10px"><small>{{ lang.uprofile['sizelimit_min'] }}{about_sizelimit} {{ lang.uprofile['characters'] }}</small></div>{% endif %}
				</li>
				<li class="form-group">
					<label>{{ lang.uprofile['new_pass'] }}:</label>
					<input type="password" name="editpassword" value="" class="wide" required>
				</li>
				<li class="form-group">
					<label>{{ lang.uprofile['oldpass'] }}:</label>
					<input type="password" name="oldpass" value="" class="wide" required>
					<div style="margin-top: 10px"><small>{{ lang.uprofile['oldpass#desc'] }}</small></div>
				</li>
				{% if (flags.avatarAllowed) %}
					<li class="form-group">
						<label>{{ lang.uprofile['avatar'] }}:</label>
						<input type="file" name="newavatar">
					</li>
					{% if (user.flags.hasAvatar) %}
						<li class="form-group">
							<div class="admin_checkboxs"><input type="checkbox" name="delavatar" id="delavatar"> <label>{{ lang.uprofile['delete'] }}</label></div>
						</li>
					{% endif %}
				{% else %}
					<li class="form-group">
						<label>{{ lang.uprofile['avatar'] }}:</label>
						<input type="text" placeholder="{{ lang.theme.uprofile_avatars_denied }}" class="wide" disabled>
					</li>
				{% endif %}
				{% if pluginIsActive('xfields') %}{{ plugin_xfields_1 }}{% endif %}
			</ul>
			<div class="form_submit" style="padding-left: 10px;">
				<button class="btn" type="submit"><b class="ultrabold" style="margin-left: 10px;">{{ lang.uprofile['save'] }}</b></button>
			</div>
		</div>
	</div>
</div>
</form>